tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality > Class Template Reference

`#include <_tbb_hash_compare_impl.h>`

Collaboration diagram for tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >:

## Public Types

typedef Hasher | hasher
typedef Key_equality | key_equal

## Public Member Functions

| hash_compare ()
| hash_compare (Hasher a_hasher)
| hash_compare (Hasher a_hasher, Key_equality a_keyeq)
size_t | operator() (const Key &key) const
bool | operator() (const Key &key1, const Key &key2) const

## Public Attributes

Hasher | my_hash_object
Key_equality | my_key_compare_object

## Detailed Description

### template<typename Key, typename Hasher, typename Key_equality>
class tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >

Definition at line 29 of file _tbb_hash_compare_impl.h.

## Member Typedef Documentation

## hasher

template<typename Key , typename Hasher , typename Key_equality >

typedef Hasher tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >::hasher

Definition at line 32 of file _tbb_hash_compare_impl.h.

## key_equal

template<typename Key , typename Hasher , typename Key_equality >

typedef Key_equality tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >::key_equal

Definition at line 33 of file _tbb_hash_compare_impl.h.

## Constructor & Destructor Documentation

## hash_compare() [1/3]

template<typename Key , typename Hasher , typename Key_equality >

tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >::hash_compare | ( |  | ) |

inline

Definition at line 35 of file _tbb_hash_compare_impl.h.

{}

## hash_compare() [2/3]

template<typename Key , typename Hasher , typename Key_equality >

tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >::hash_compare | ( | Hasher | a_hasher | ) |

inline

Definition at line 37 of file _tbb_hash_compare_impl.h.

: my_hash_object(a_hasher) {}
tbb::interface5::internal::hash_compare::my_hash_object
Hasher my_hash_object
Definition: _tbb_hash_compare_impl.h:50

## hash_compare() [3/3]

template<typename Key , typename Hasher , typename Key_equality >

tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >::hash_compare | ( | Hasher | a_hasher,
|  | Key_equality | a_keyeq
| ) |  |

inline

Definition at line 39 of file _tbb_hash_compare_impl.h.

: my_hash_object(a_hasher), my_key_compare_object(a_keyeq) {}
tbb::interface5::internal::hash_compare::my_key_compare_object
Key_equality my_key_compare_object
Definition: _tbb_hash_compare_impl.h:51

## Member Function Documentation

## operator()() [1/2]

template<typename Key , typename Hasher , typename Key_equality >

size_t tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >::operator() | ( | const Key & | key | ) | const

inline

Definition at line 41 of file _tbb_hash_compare_impl.h.

{
return ((size_t)my_hash_object(key));
}
key
void const char const char int ITT_FORMAT __itt_group_sync x void const char ITT_FORMAT __itt_group_sync s void ITT_FORMAT __itt_group_sync p void ITT_FORMAT p void ITT_FORMAT p no args __itt_suppress_mode_t unsigned int void size_t ITT_FORMAT d void ITT_FORMAT p void ITT_FORMAT p __itt_model_site __itt_model_site_instance ITT_FORMAT p __itt_model_task __itt_model_task_instance ITT_FORMAT p void ITT_FORMAT p void ITT_FORMAT p void size_t ITT_FORMAT d void ITT_FORMAT p const wchar_t ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s const char ITT_FORMAT s no args void ITT_FORMAT p size_t ITT_FORMAT d no args const wchar_t const wchar_t ITT_FORMAT s __itt_heap_function void size_t int ITT_FORMAT d __itt_heap_function void ITT_FORMAT p __itt_heap_function void void size_t int ITT_FORMAT d no args no args unsigned int ITT_FORMAT u const __itt_domain __itt_id ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain __itt_id ITT_FORMAT p const __itt_domain __itt_id __itt_timestamp __itt_timestamp ITT_FORMAT lu const __itt_domain __itt_id __itt_id __itt_string_handle ITT_FORMAT p const __itt_domain ITT_FORMAT p const __itt_domain __itt_string_handle unsigned long long ITT_FORMAT lu const __itt_domain __itt_string_handle unsigned long long ITT_FORMAT lu const __itt_domain __itt_id __itt_string_handle * key
Definition: ittnotify_static.h:198

References key, and tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >::my_hash_object.

## operator()() [2/2]

template<typename Key , typename Hasher , typename Key_equality >

bool tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >::operator() | ( | const Key & | key1,
|  | const Key & | key2
| ) |  | const

inline

Definition at line 45 of file _tbb_hash_compare_impl.h.

{
// TODO: get rid of the result invertion
return (!my_key_compare_object(key1, key2));
}

References tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >::my_key_compare_object.

## Member Data Documentation

## my_hash_object

template<typename Key , typename Hasher , typename Key_equality >

Hasher tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >::my_hash_object

Definition at line 50 of file _tbb_hash_compare_impl.h.

Referenced by tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >::operator()().

## my_key_compare_object

template<typename Key , typename Hasher , typename Key_equality >

Key_equality tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >::my_key_compare_object

Definition at line 51 of file _tbb_hash_compare_impl.h.

Referenced by tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >::operator()().

The documentation for this class was generated from the following file:

- _tbb_hash_compare_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.